<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:18 CST 2018 -->
<title>Uses of Class projectx.game.enums.ObjectsType</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class projectx.game.enums.ObjectsType";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/game/enums/class-use/ObjectsType.html" target="_top">Frames</a></li>
<li><a href="ObjectsType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class projectx.game.enums.ObjectsType" class="title">Uses of Class<br>projectx.game.enums.ObjectsType</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.objects">projectx.engine.managers.entities.objects</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.game.enums">projectx.game.enums</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="projectx.engine.managers.entities.objects">
<!--   -->
</a>
<h3>Uses of <a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> in <a href="../../../../projectx/engine/managers/entities/objects/package-summary.html">projectx.engine.managers.entities.objects</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../projectx/engine/managers/entities/objects/package-summary.html">projectx.engine.managers.entities.objects</a> that return <a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a></code></td>
<td class="colLast"><span class="typeNameLabel">Objects.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/managers/entities/objects/Objects.html#getObjectsType--">getObjectsType</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../projectx/engine/managers/entities/objects/package-summary.html">projectx.engine.managers.entities.objects</a> with parameters of type <a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/managers/entities/objects/Objects.html#Objects-projectx.engine.Handler-int-int-projectx.game.enums.ObjectsType-">Objects</a></span>(<a href="../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
       int&nbsp;x,
       int&nbsp;y,
       <a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>&nbsp;objectsType)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.game.enums">
<!--   -->
</a>
<h3>Uses of <a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> in <a href="../../../../projectx/game/enums/package-summary.html">projectx.game.enums</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../projectx/game/enums/package-summary.html">projectx.game.enums</a> that return <a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ObjectsType.</span><code><span class="memberNameLink"><a href="../../../../projectx/game/enums/ObjectsType.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">ObjectsType.</span><code><span class="memberNameLink"><a href="../../../../projectx/game/enums/ObjectsType.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/game/enums/class-use/ObjectsType.html" target="_top">Frames</a></li>
<li><a href="ObjectsType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
